Constructors

## Functions

| geos::geom::CoordinateSequence::CoordinateSequence ()
| geos::geom::CoordinateSequence::CoordinateSequence (std::size_t size, std::size_t dim=0)
| geos::geom::CoordinateSequence::CoordinateSequence (std::size_t size, bool hasz, bool hasm, bool initialize=true)
| geos::geom::CoordinateSequence::CoordinateSequence (const std::initializer_list< Coordinate > &)
| geos::geom::CoordinateSequence::CoordinateSequence (const std::initializer_list< CoordinateXY > &)
| geos::geom::CoordinateSequence::CoordinateSequence (const std::initializer_list< CoordinateXYM > &)
| geos::geom::CoordinateSequence::CoordinateSequence (const std::initializer_list< CoordinateXYZM > &)
static CoordinateSequence | geos::geom::CoordinateSequence::XY (std::size_t size)
static CoordinateSequence | geos::geom::CoordinateSequence::XYZ (std::size_t size)
static CoordinateSequence | geos::geom::CoordinateSequence::XYZM (std::size_t size)
static CoordinateSequence | geos::geom::CoordinateSequence::XYM (std::size_t size)
std::unique_ptr< CoordinateSequence > | geos::geom::CoordinateSequence::clone () const
| Returns a heap-allocated deep copy of this CoordinateSequence.
| geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::TemplateSTRtreeImpl (size_t p_nodeCapacity=10)
| geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::TemplateSTRtreeImpl (size_t p_nodeCapacity, size_t itemCapacity)
| geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::TemplateSTRtreeImpl (const TemplateSTRtreeImpl &other)
TemplateSTRtreeImpl & | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::operator= (TemplateSTRtreeImpl other)

## Detailed Description

## Function Documentation

## CoordinateSequence() [1/7]

geos::geom::CoordinateSequence::CoordinateSequence | ( |  | ) |

Create an CoordinateSequence capable of storing XY or XYZ coordinates.

Referenced by atLeastNCoordinatesOrNothing(), equals(), equalsIdentical(), increasingDirection(), indexOf(), scroll(), XY(), XYM(), XYZ(), and XYZM().

## CoordinateSequence() [2/7]

geos::geom::CoordinateSequence::CoordinateSequence | ( | const std::initializer_list< Coordinate > & |  | ) |

Create a CoordinateSequence from a list of XYZ coordinates. Code using the sequence may only access references to CoordinateXY or Coordinate objects.

## CoordinateSequence() [3/7]

geos::geom::CoordinateSequence::CoordinateSequence | ( | const std::initializer_list< CoordinateXY > & |  | ) |

Create a CoordinateSequence from a list of XY coordinates. Code using the sequence may only access references to CoordinateXY objects.

## CoordinateSequence() [4/7]

geos::geom::CoordinateSequence::CoordinateSequence | ( | const std::initializer_list< CoordinateXYM > & |  | ) |

Create a CoordinateSequence from a list of XYM coordinates. Code using the sequence may only access references to CoordinateXY or CoordinateXYM objects.

## CoordinateSequence() [5/7]

geos::geom::CoordinateSequence::CoordinateSequence | ( | const std::initializer_list< CoordinateXYZM > & |  | ) |

Create a CoordinateSequence from a list of XYZM coordinates.

## CoordinateSequence() [6/7]

geos::geom::CoordinateSequence::CoordinateSequence | ( | std::size_t | size,
|  | bool | hasz,
|  | bool | hasm,
|  | bool | initialize = true )

Create a CoordinateSequence that packs coordinates of any dimension. Code using a CoordinateSequence constructed in this way must not attempt to access references to coordinates with dimensions that are not actually stored in the sequence.

Parameters

  size | size of the sequence to create
  hasz | true if the stored
  hasm |
  initialize |

References size().

## CoordinateSequence() [7/7]

geos::geom::CoordinateSequence::CoordinateSequence | ( | std::size_t | size,
|  | std::size_t | dim = 0 )

Create a CoordinateSequence capable of storing XY, XYZ or XYZM coordinates.

Parameters

  size | size of the sequence to create.
  dim | 2 for 2D, 3 for XYZ, 4 for XYZM, or 0 to determine this based on the first coordinate in the sequence

References size().

## TemplateSTRtreeImpl() [1/3]

template<typename ItemType, typename BoundsTraits>

geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::TemplateSTRtreeImpl | ( | const TemplateSTRtreeImpl< ItemType, BoundsTraits > & | other | ) |

inline

Copy constructor, needed because mutex is not copyable

References TemplateSTRtreeImpl().

## TemplateSTRtreeImpl() [2/3]

template<typename ItemType, typename BoundsTraits>

geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::TemplateSTRtreeImpl | ( | size_t | p_nodeCapacity,
|  | size_t | itemCapacity )

inline

Constructs a tree with the given maximum number of child nodes that a node may have, with the expected total number of items in the tree used to pre-allocate storage.

## TemplateSTRtreeImpl() [3/3]

template<typename ItemType, typename BoundsTraits>

geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::TemplateSTRtreeImpl | ( | size_t | p_nodeCapacity = 10 | ) |

inline explicit

Constructs a tree with the given maximum number of child nodes that a node may have.

Referenced by nearestNeighbour(), nearestNeighbour(), and TemplateSTRtreeImpl().

## XY()

CoordinateSequence geos::geom::CoordinateSequence::XY | ( | std::size_t | size | ) |

inline static

Create a CoordinateSequence storing XY values only.

Parameters

  size | size of the sequence to create

References CoordinateSequence(), and size().

## XYM()

CoordinateSequence geos::geom::CoordinateSequence::XYM | ( | std::size_t | size | ) |

inline static

Create a CoordinateSequence storing XYM values only.

Parameters

  size | size of the sequence to create

References CoordinateSequence(), and size().

## XYZ()

CoordinateSequence geos::geom::CoordinateSequence::XYZ | ( | std::size_t | size | ) |

inline static

Create a CoordinateSequence storing XYZ values only.

Parameters

  size | size of the sequence to create

References CoordinateSequence(), and size().

## XYZM()

CoordinateSequence geos::geom::CoordinateSequence::XYZM | ( | std::size_t | size | ) |

inline static

Create a CoordinateSequence storing XYZM values only.

Parameters

  size | size of the sequence to create

References CoordinateSequence(), and size().